Group Group Group Group Group Group Group Group Group

PSA: Use Xcode 11 beta 5 for "sneak peek" chapter

UPDATE 9/11/18: This issue has been fixed in Xcode 11 GM, so if you use that (or the Xcode 11 final release) you should be set! :]

Heads up for those who preordered the Combine book: use Xcode beta 5 if you want to try out the sneak peek chapter.

In the current beta 6 release of Xcode 11, playgrounds are unstable. The Combine book uses playgrounds in several of its chapters, including chapter 2 “Publishers and Subscribers.” If you have access to and can use Xcode beta 5, you should encounter no problems.

However, because many readers may no longer have access to beta 5 — and beta 6 is unusable — we have decided to postpone the EA #2 release of Combine: Asynchronous Programming with Swift. We will closely monitor things on the Xcode release front, and will move forward with the release as soon as we can verify Xcode playgrounds work as expected.

If you have any questions or concerns about this, feel free to reply here. Thanks!

1 Like

@rwenderlich, the Combine playgroup loads just fine in the Xcode 7 beta. :wink:. Hope this is helpful…and hey, just going by the chapter, the book looks like it’s gonna be really schweet!

Hmm…I might have to dial that back. I can open and edit the playground (unlike in Xcode 6)…but I can’t run it. Hmm…

Third time the charm! I got the example working! Ah, life in the beta lane.

Xcode 11 beta 7 have same problems as beta 6 :cry:

Update: the book team has decided the show must go on despite these beta issues!

So good news - they’ve developed a workaround, and we’ll continue with the plans for the next early access release (ETA next Friday or soon thereafter). We won’t let beta bugs stop you from learning Combine! :]

2 Likes

Excellent! Which next do you mean? The one that means tomorrow or the one that means a week from tomorrow (because tomorrow is this Friday)?

Hah good point. I mean we’re aiming for Fri Sep 6 or soon thereafter :]

Update: this issue has been fixed in Xcode 11 GM, so if you use that (or the Xcode 11 final release) you should be set! :]